/**
 * 来电弹屏
 * */

//来电时传输的数据
var phoneNumber = helper.request.queryString("Number");
var CallID = helper.request.queryString("CallID");
var KHid;
var UserCode;
var timestamp = Date.parse(new Date());
//通话中执行变化
var timer, n = 0;

//测试数据
 // var phoneNumber = "15235457488";
 // var CallID = "148";
 //**所有input去掉自动填充
$(function(){                               
 $('input:not([autocomplete]),textarea:not([autocomplete]),select:not([autocomplete])').attr('autocomplete', 'off'); 
});

$(function() {
	//初始化一些数据
	$(".hidCallID").val(CallID);
	$("#kehudian").val(phoneNumber);
    $("#head_form_customTel").val(phoneNumber);
	$(".tel").text(phoneNumber); //左侧来电号码  
	$("#order_tel").val(phoneNumber); //右侧工单电话
	$(".ldtime").text(top.getNowFormatDate()); //左侧来电时间
	$(".thsc").text("00:00"); //通话时间
	autosize($('textarea'));
	//初始化时间
	laydate.render({
		elem: '#old_startTime',
		theme: '#1ab394',
		calendar: true
	});
	laydate.render({
		elem: '#old_endTime',
		theme: '#1ab394',
		calendar: true
	});
	laydate.render({
		elem: '#con_startTime',
		theme: '#1ab394',
		calendar: true
	});

	laydate.render({
		elem: '#con_endTime',
		theme: '#1ab394',
		calendar: true
	});

	/*左侧 部分*/

	//获取电话所属地
	if(phoneNumber) {
		getPhoneLocation(); //获取来电归属地
		getCustomer(); //获取来电客户信息
	}
	//根据关键词搜索公司 
	// $('#companySearch').on('click', getSearchCustomer);

	//保存来电客户信息
	$('#head_form_btn_save').on('click', headFormSave);
	
	//清空来电客户信息
	// $('#head_form_btn_reset').on('click', headFormReset);

	//点击IVR
	$('#head_black_ivr').click(function() {
		top.obj.Type = "TurnIvr";
		top.obj.IvrName = "MYD";
		top.obj.IvrPos = "1";
		top.Send();
	});

	//点击拉黑	加入黑名单			
	$('#head_black_btn').click(function() {
		if(!phoneNumber) {
			layer.confirm('来电号码为空！', {
				icon: 2,
				btn: ['确定']
			});
			return;
		}
		$("#time-word").val('');
		$('.ldtp-con .hei-list').show();
	});

	//拉黑 关闭
	$('.hei-list .bacha').click(function() {
		$('.ldtp-con .hei-list').hide();
		$("#time-word").val('');
	});

	//拉黑 保存
	$('#bc').on('click', saveBlack);

	//取消黑名单
	$('.retur').on('click', cancelBlack);

	/*右侧 部分*/

	//加载历史记录、历史工单
	loadOldOrComplain('0');

	//获取知识库
	loadZSK();

	//弹屏右侧切换效果
	$(".ldtp-cr ul.ld-service li").click(function() {
		var tabIndex = $(this).index() + '';
		//console.log(tabIndex);
		$(this).addClass("cr-click").siblings().removeClass("cr-click");
		loadOldOrComplain(tabIndex);
	});

	//获取工单来源
// 	helper.getDropList.getlistDropByDic($('#order_source'), 'GDLY').then(function() {
// 		$('#order_source').selectpicker('val', '468').trigger('change');
// 	});
	//获取业务办理
	helper.getDropList.getlistDropByDic($('#order_handle'), 'YWLX');
	//获取工单类型
	helper.getDropList.getOrderRadios($('#order_type'), 'GDLX', 'inlineRadioOptions').then(function() {
		$('#order_type').find('input[type="radio"]').on('change', function() {
			if($(this).val() === "107") { //业务办理
				$('#order_handles').show();
			}else{
				$('#order_handles').hide();
			}
		});
	});
	//工单有效性 
	$('#order_iseffective').find('input[type="radio"]').on('change', function() {
		//是否有效工单项(0有效，1无效)
		if($(this).val() === "1") { //无效
			$('.order_note').show();
			$('#order_isover_box').hide();
			$('#order_isover').find('input[type="radio"][value="1"]').prop('checked', true).trigger('change');
		} else {
			$('.order_note').hide();
			$('#order_isover_box').show();
			$('#order_isover').find('input[type="radio"][value="0"]').prop('checked', true).trigger('change');
		}
	});
	//获取接收部门 
	getDepts('reginsTreeView', 'order_transfer_dept');
	
	// 立即处理
	$('#order_isover').find('input[type="radio"]').on('change', function(){
		if($(this).val() === '1'){
			$('#order_transfer_depts').hide();
		}else{
			$('#order_transfer_depts').show();
		}
	});
	
	//知识库查询
	$(".searIcon").click(function() {
		loadZSK();
	});

	//历史记录/历史工单 查询
	$(".searchbtn").click(function() {
		var tabIndex = $(this).attr('itemtype');
		loadOldOrComplain(tabIndex);
	});

	//关闭录音弹出
	$(".setwin").click(function() {
		$(".t-shade").removeClass("cx");
		$('audio')[0].pause();
	});

});

function clearInter() {
	clearInterval(timer);
}

function calling() {
	$(".td-call").show();
	n = 0;
	clearInterval(timer);
	timer = setInterval(function() {
		n++;
		var m = parseInt(n / 60 % 60);
		var s = parseInt(n % 60);
		//var thsc=toDub(m) + ":" + toDub(s);
		$(".thsc").text(toDub(m) + ":" + toDub(s));
	}, 1000);

}

function toDub(i) {
	return i < 10 ? "0" + i : "" + i;
}

//获取电话所属地
function getPhoneLocation() {
	$.getJSON(huayi.config.callcenter_url + 'CallInScreen/GetPhoneLocation', {
		"tel": phoneNumber,
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(".khgsd").text(result.data);
		}
	});
}


/**
 * 根据电话获取 客户信息
 * */
 function getCustomer(){
	$.ajax({
		url: huayi.config.callcenter_url + 'CustomerNew/GetCustomerByTel',
		type: 'get',
		data: {
			tel: phoneNumber, //否	string	来电电话 例如:13663801989
			token: $.cookie("token")
		},
		dataType: "json",
		async: true,
		success: function(data) {
			if(data.state.toLowerCase() === 'success') {
				var customerBase = data.data && data.data;
				debugger
				if(customerBase){
					$('input[name="sex"][value="' + data.F_Gender + '"]').prop("checked", "checked");//工单类型
					$("#head_form_custom").val(customerBase.F_Legal)
					$("#head_form_customTel").val(customerBase.F_LegalPhone)
					$('#head_form_customer_id').val(customerBase.F_CustomerId); //客户id  CustomerBase
					$("#laisheng").text(customerBase.F_AddressProvince); //省
					$("#laishi").find("option:selected").text(customerBase.F_AddressCity); //市
					$("#laiquxian").find("option:selected").text(customerBase.F_AddressCountry); //区
					$("#laixiang").find("option:selected").text(customerBase.F_AddressTownship); //县
					$("#channel").find("option:selected").text(customerBase.F_Channel); //乡镇
					$("#company_name").find("option:selected").text(customerBase.F_CompanyName); //乡镇
					$("#laixiangxi").val(customerBase.F_AddressFull); //详细地址
					
					
					$("#kehuxing").val(customerBase.F_Legal)
					// $('input[name="sexxx"][value="' + customerBase.F_Gender + '"]').prop("checked", "checked");//男女
					$("#kehudian").val(customerBase.F_LegalPhone)
					$('#head_form_customer_id').val(customerBase.F_CustomerId); //客户id  CustomerBase
//					$("#sheng").text(customerBase.F_AddressProvince); //省
//					$("#shi").find("option:selected").text(customerBase.F_AddressCity); //市
//					$("#quxian").find("option:selected").text(customerBase.F_AddressCountry); //区
//					$("#xiang").find("option:selected").text(customerBase.F_AddressTownship); //县
//					$("#channel").find("option:selected").text(customerBase.F_Channel); //乡镇
//					$("#company_name").find("option:selected").text(customerBase.F_CompanyName); //乡镇
//					$("#qdlxin").find("option:selected").text(customerBase.F_Channel); //渠道类型
					
					
					$("#xiangxi").val(customerBase.F_AddressFull); //详细地址
					
					//获取对应的联系人信息
					getCustomerLists(1, customerBase.F_CustomerId);
					$('#order_company').val(customerBase.F_CompanyName); //给工单的公司名称赋值
					
					$('#F_CustomerCode').text(customerBase.F_CustomerCode);//	string 客户编号
					$('#F_CompanyName').text(customerBase.F_CompanyName);//	string 公司名称
					$('#F_AreaID').text(customerBase.F_AreaID);	//大区名称
					$('#F_BranchID').text(customerBase.F_BranchID);	//分公司名称
					$('#F_Salesman').text(customerBase.F_Salesman); //业务员	
					$('#F_Gender').text(customerBase.F_Gender); //性别
					$('#F_SalesPhone').text(customerBase.F_SalesPhone); //业务员电话
					$('#F_CustomerNature').text(customerBase.F_CustomerNature); //客户性质
					$('#F_Channel').text(customerBase.F_Channel); //渠道类型
					$('#F_Credit').text(customerBase.F_Credit); //信用等级
					$('#F_Legal').text(customerBase.F_Legal);  //法人
					$('#F_LegalPhone').text(customerBase.F_LegalPhone); //法人电话
					$('#F_AddressProvince').text(customerBase.F_AddressProvince); //省
					$('#F_AddressCity').text(customerBase.F_AddressCity); //市
					$('#F_AddressCountry').text(customerBase.F_AddressCountry);  //县
					$('#F_AddressTownship').text(customerBase.F_AddressTownship); //乡
					$('#F_AddressFull').text(customerBase.F_AddressFull);  //详细地址
					$('#F_Brands').text(customerBase.F_Brands);   //经营品牌
					$('#F_Product').text(customerBase.F_Product);  //产品
					$('#F_FrozenFlag').text(customerBase.F_FrozenFlag); //冻结标志
					$('#F_IsOpenAccount').text(customerBase.F_IsOpenAccount);  //是否开户
					$('#F_LevelCode').text(customerBase.F_LevelCode);   //上级客户编码
					$('#F_LevelName').text(customerBase.F_LevelName);  //上级客户名称
					$('#F_MnemonicCode').text(customerBase.F_MnemonicCode);  //助记码
					$('#F_InvoiceBank').text(customerBase.F_InvoiceBank);  //开票银行名称
					$('#F_InvoiceBank').text(customerBase.F_InvoiceBank); //开票银行账号
					$('#F_TaxRegCode').text(customerBase.F_TaxRegCode); //纳税人等级号
					$('#F_IsRunXLX').text(customerBase.F_IsRunXLX);  //是否经营心连心
					$('#F_AnnualSales').text(customerBase.F_AnnualSales);  //年销量
					// $('#F_Formula').text(customerBase.F_Formula);  //配方
					$('#F_RaiseCrops').text(customerBase.F_RaiseCrops);  //种植植物
					$('#F_PlantingArea').text(customerBase.F_PlantingArea);  //种植面积
					$('#F_FertilizerBrand').text(customerBase.F_FertilizerBrand); //用肥品牌
				}
				if(data.data){
					$(".detailDiv").show();
				}else{
					$(".addDiv").show();
				}
			}
		},
	}); 
 }
 
/**
 * 根据电话获取 客户联系人列表
 * paramPage： 页数请求的是第几页
 * cid： 客户的id
 * */
function getCustomerLists(paramPage, cid) {
	$('#head_customer_info').html('');
	$.ajax({
		url: huayi.config.callcenter_url + 'CustomerNew/GetConList',
		type: 'get',
		data: {
			cusid: cid, //客户id
			pageindex: paramPage, //第几页
			pagesize: 2,
			tel: phoneNumber, //否	string	来电电话 例如:13663801989
			token: $.cookie("token")
		},
		dataType: "json",
		async: true,
		success: function(returnValue) {
			var tableDatas = returnValue.rows;
			//异步获取列表数据
			if(tableDatas && tableDatas.length > 0) {
				$('#head_form_name').val(tableDatas[0].F_Name);//左侧姓名
				$('#head_form_name').prop('readonly', true);
				$('#order_name').val(tableDatas[0].F_Name);//右侧工单姓名
				//加载内容
				$('#head_customer_info').html('');
				for(var i = 0, tableDatasLength = tableDatas.length; i < tableDatasLength; i++) {
					var itmeHtml = '<div class="head_customer_info_item clearfix">' +
						'<div class="head_customer_info_item_l pull-left">' +
						'<p class="clearfix">' +
						'<span>姓名</span>' +
						'<span>' + tableDatas[i].F_Name + '</span>' +
						'</p>' +
						'<p>' +
						'<span>电话</span>' +
						'<span>' + tableDatas[i].F_Telephone + '</span>' +
						'</p>' +
						'<p>' +
						'<span>是否主要联系人</span>' +
						'<span>' + (tableDatas[i].F_IsMain === true ? '是' : '否') + '</span>' +
						'</p>' +
						'</div>' +
						'<div class="head_customer_info_item_r pull-left" id="customerBtn_' + i + '">'+
						// '选择' +
						'</div>' +
						'</div>'
					$('#head_customer_info').append(itmeHtml);
				}
				if(tableDatasLength > 0) {
					$.jqPaginator('#pagination', {
						totalCounts: returnValue.total,
						pageSize: 2,
						currentPage: paramPage,
						visiblePages: 10,
						prev: '<li class="prev"><a href="javascript:;">上一页</a></li>',
						next: '<li class="next"><a href="javascript:;">下一页</a></li>',
						//page: '<li class="page"><a href="javascript:;">{{page}}</a></li>',
						onPageChange: function(num, type) {
							$('#page_number').text(num + "/" + Math.ceil(returnValue.total / 2));
							//console.log(type + '：' + num);
							if(type == 'change') {
								getCustomerLists(num);
							}
						}
					});
				} else {
					$('.head_customer_info_title').hide();
				}
			} else {
				$('.head_customer_info_title').hide();
				$('#head_form_name').val('');//联系人姓名
				$('#head_form_name').prop('readonly', false);
			}
		},
	});
}


//清空head_form
function headFormClean() {
	//左侧信息清空；
	// $('#head_form_customer_id').val('');
	$('.head_form').find('.form-control').val('');
	$('#head_form_tel').val(phoneNumber);
}

//保存来电客户信息
function headFormSave() {
	if(!$.trim($('#head_form_name').val())) {
		layer.confirm('请输入姓名！', {
			icon: 2,
			btn: ['确定']
		});
		return;
	}
// 	if(!regexs.phone.test($.trim($('#head_form_tel').val()))) {
// 		layer.confirm('请输入正确的电话！', {
// 			icon: 2,
// 			btn: ['确定']
// 		});
// 		return;
// 	}
	
	$.post(huayi.config.callcenter_url + 'CustomerNew/AddContact', {
		F_CustomerId: $('#head_form_customer_id').val(),// int客户id
		F_Name: $('#head_form_name').val(),//string 联系人姓名
		F_Telephone: phoneNumber,// string电话
		token: $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() === "success") {
			//给 右侧新增工单赋值
			$('#order_name').val($('#head_form_name').val()); //客户姓名
			$('#order_company').val($('#head_form_cmpname').val()); //公司名称
			layer.msg("保存成功");
		}
	})
}

//获取知识库
function loadZSK() {
	$.getJSON(huayi.config.callcenter_url + 'CallInScreen/GetZSKList', {
		"keywords": $(".search").val(),
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(".ldcr-bottom .detail-con ul").empty();
			$(result.data).each(function(i, n) {
				var html = '<li>' +
					'   <div class="zhishi-title clearfix">' +
					'	    <a href="javascript:void(0);" >' + n.F_Title + '</a>' +
					'	    <em >' + n.F_CreateOn + '</em>' +
					'   </div>' +
					'   <div class="explancon">' +
					n.F_Content +
					'   </div>' +
					'</li>';
				$(html).appendTo($(".ldcr-bottom .detail-con ul")).find(".zhishi-title").click(function(event) {
					event.stopPropagation();
					if($(this).hasClass("active")) {
						$(this).removeClass("active")
					} else {
						$(".zhishi-title").removeClass("active");
						$(this).addClass("active");
					}
				})
			})
		}
	})
}

//加载 历史记录或历史工单
function loadOldOrComplain(tabIndex) {
	$(".complain").hide();
	switch(tabIndex) {
		case '0':
			$(".complain").eq(0).show();
			break;
		case '1':
			getOldList()
			break;
		case '2':
			getComplainList()
			break;
		case '3':
				$(".complain").eq(3).show();
				if($('#head_form_customer_id').val() != ''){
					getCustomerDetail(); // 获取客户详情
					getTaxDetail(); // 获取财税情况
				}
			break;
		default:
			break;
	}
}

//获取客户详情
function getCustomerDetail() {
	$.getJSON(huayi.config.callcenter_url + "CustomerNew/GetCustomer", {
		cusid: $('#head_form_customer_id').val(), //客户id
		token: $.cookie("token")
	}, function(data) {
		if (data.state.toLowerCase() == "success") {
			var cusBase = data.data && data.data;
			$('#customer_bedept').text(data.data && data.data.BeDeptName); // int 客户归属部门
			if (cusBase) {
				$('#customer_code').text(cusBase.F_CustomerCode); //string 客户编号
				$('#customer_companyname').text(cusBase.F_CompanyName); //string 公司名称
				$('#customer_comaddress').text(cusBase.F_CompanyAddress); //string 公司地址
				$('#customer_legalName').text(cusBase.F_LegalName); //string 法人姓名
				if(cusBase.F_LegalTel){
					$('#customer_lehalTel').html('<a href="jvascript:;" onclick="calloutopt('+ cusBase.F_LegalTel +')">'+ cusBase.F_LegalTel +'<img src="../img/Phones.png" alt="phone" /></a>'); //string 法人电话
				}
				$('#customer_subtrade').text(cusBase.F_SubTrade); // int 所属行业
				$('#customer_taxCategory').text(cusBase.F_TaxCategory); // int 税务类别
				$('#customer_invoiceRange').text(cusBase.F_InvoiceRange); //string 开票范围
				$('#customer_taxPointDes').text(cusBase.F_TaxPointDes); //string 税点描述
				$('#customer_layer').text(cusBase.F_Layer); // int 客户信誉等级
				$('#customer_berelatedAcc').text(cusBase.F_BeRelatedAcc); //string 客户归属涉税会计
				$('#customer_beauditAcc').text(cusBase.F_BeAuditAcc); //string 客户归属办理会计
				$('#customer_bemakeAcc').text(cusBase.F_BeMakeAcc); //string 客户归属做账会计
				
				$('#customer_RegisteredAddress').text(cusBase.F_RegisteredAddress); // string 注册地址
				$('#customer_LegalIDCards').text(cusBase.F_LegalIDCards); // string 法人身份证
				$('#customer_Qualification').text(cusBase.F_Qualification); // string 企业资质荣誉
				$('#customer_FinancialManager').text(cusBase.F_FinancialManager); // string 客户公司财务负责人
				$('#customer_BusinessOwner').text(cusBase.F_BusinessOwner); // string 客户归属业务负责人
				$('#customer_Remark1').text(cusBase.F_Remark1); // string 备注1（输入框即可）
				$('#customer_Remark2').text(cusBase.F_Remark2); // string 备注2（输入框即可）
				$('#customer_Remark3').text(cusBase.F_Remark3); // string 备注3（输入框即可）

				$('#customer_service').text(cusBase.F_CusService); // string 客服
				$('#customer_handoverDate').text(cusBase.F_HandoverDate); // string 交接日期
				$('#customer_isbankSlips').text(cusBase.F_ISBankSlips ? '是' : '否'); // string 是否需要去银行拿回单（一般纳税人）
				$('#customer_address').text(cusBase.F_Address); // string 联系地址
				$('#customer_address1').text(cusBase.F_Address); // string 联系地址1
				$('#customer_address2').text(cusBase.F_Address1); // string 联系地址2
				$('#customer_address3').text(cusBase.F_Address2); // string 联系地址3
				$('#customer_address4').text(cusBase.F_Address3); // string 联系地址4
				
			}
			var cusLists = data.data && data.data;
			if (cusLists && cusLists.length > 0) {
				$('#cusLists').empty();
				$('#conectLits').show();
				for (var i = 0; i < cusLists.length; i++) {
					var tplstr = '';
					tplstr = '<div class="clearfix cusListItem">'+
										'<li class="col-md-3 col-sm-4">' +
											'<label>姓名：</label>' +
											'<span>'+ cusLists[i].F_Name +'</span>' +
										'</li>'+
										'<li class="col-md-3 col-sm-4">' +
											'<label>电话：</label>' +
											'<a href="jvascript:;" onclick="calloutopt('+ cusLists[i].F_Telephone +')">'+ cusLists[i].F_Telephone +'<img src="../img/Phones.png" alt="phone" /></a>'+
										'</li>'+
										'<li class="col-md-3 col-sm-4">' +
											'<label>邮箱：</label>' +
											'<span>'+ cusLists[i].F_Email +'</span>' +
										'</li>'+
										'<li class="col-md-3 col-sm-4">' +
											'<label>职务：</label>' +
											'<span>'+ cusLists[i].F_Duties +'</span>' +
										'</li>'+
										'<li class="col-md-3 col-sm-4">' +
											'<label>QQ：</label>' +
											'<span>'+ cusLists[i].F_QQ +'</span>' +
										'</li>'+
										'<li class="col-md-3 col-sm-4">' +
											'<label>MSN：</label>' +
											'<span>'+ cusLists[i].F_MSN +'</span>' +
										'</li>'+
										'<li class="col-md-12 col-sm-12">' +
											'<label>备注：</label>' +
											'<span>'+ cusLists[i].F_Remark +'</span>' +
										'</li>'+
										'<li class="col-md-12 col-sm-12">'+
											'<label for="customer_F_IsMain">是否主要联系人:</label>'+
											'<span>'+ (cusLists[i].F_IsMain === true ? '是' : '否') +'</span>'+
										'</li>'+
										'</div>';
					$('#cusLists').append(tplstr);
				}
			}
		}
	});
}

//获取财税情况
function getTaxDetail(){
	$.getJSON(huayi.config.callcenter_url + "CustomerNew/GetFinc",{
		cusid: $('#head_form_customer_id').val(), // 客户id
		token: $.cookie("token")
	},function(data){
		if(data.state.toLowerCase() === 'success'){
			data = data.data;
			$('#tax_code').text(data.F_CustomerCode); //	string 客户编号	
			$('#tax_MonthState').text(data.F_MonthState); //	string 本月财税情况:已结清/未结清
			$('#tax_AnnualIncome').text(data.F_AnnualIncome); //	string 本年收入（元）
			$('#tax_AnnualProfit').text(data.F_AnnualProfit); //	string 本年利润	
			$('#tax_AnnualCost').text(data.F_AnnualCost); //	string 本年费用
			$('#tax_AnnualPersonCount').text(data.F_AnnualPersonCount); //	string 本年人数	
			$('#tax_AnnualWages').text(data.F_AnnualWages); //	string 本年工资	
			$('#tax_QuarterlyCost').text(data.F_QuarterlyCost); //	string	本季费用
			$('#tax_QuarterlyPersonCount').text(data.F_QuarterlyPersonCount); //	string	本季人数	
			$('#tax_QuarterlyWages').text(data.F_QuarterlyWages); //	string	本季工资	
			$('#tax_QuarterlyIncome').text(data.F_QuarterlyIncome); //	string	本季收入
			$('#tax_QPVAT').text(data.F_QPVAT); //	string	本季应交税额-增值税	
			$('#tax_QPSurtax').text(data.F_QPSurtax); //	string	本季应交税额-附加税	
			$('#tax_QPTaxes').text(data.F_QPTaxes); //	string	本季应交税额-企业所得税
			$('#tax_QPConTax').text(data.F_QPConTax); //	string	本季应交税额-文化事业建设税	
			$('#tax_QPPerinTax').text(data.F_QPPerinTax); //	string	本季应交税额-个税	
			$('#tax_QPStampTax').text(data.F_QPStampTax); //	string	本季应交税额-其他税额
		}
	});
}

//获取历史记录
function getOldList() {
	$(".complain").eq(1).show();
	//先销毁表格
	$('#oldlist').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$("#oldlist").bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "CallInScreen/GetOldList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [5, 10, 50, 100], //记录数可选列表
		search: false, //是,//否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				pageindex: params.pageNumber,
				pagesize: params.pageSize,
				tel: phoneNumber,
				starttime: $("#old_startTime").val(),
				endtime: $("#old_endTime").val(),
				cusphone: $("#con_phTel").val(),
				token: $.cookie("token")

			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//获取历史工单
function getComplainList() {
	$(".complain").eq(2).show();
	//先销毁表格
	$('#orderlist').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$("#orderlist").bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "WorkOrderNew/GetList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [5, 10, 50, 100], //记录数可选列表
		search: false, //是,//否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				pageindex: params.pageNumber,
				pagesize: params.pageSize,
				keyword: phoneNumber, //否	string	模糊搜索可输入客户姓名,电话,工单号，反馈内容
				starttime: $("#con_startTime").val(), //否	string	工单起止时间
				cusphone: phoneNumber,
				endtime: $("#con_endTime").val(), //否	string	工单起止时间
				token: $.cookie("token"),
				// cusphone: $("#con_phone").val(),
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});

}

//格式化内处理方式
function formatterDealType(val, row) {
	//处理方式0:IVR处理1骚扰电话2自助服务3转值班电话4留言5呼损6人工处理
	var str = '-';
	switch(val) {
		case 0:
			str = 'IVR处理';
			break;
		case 1:
			str = '骚扰电话';
			break;
		case 2:
			str = '自助服务';
			break;
		case 3:
			str = '转值班电话';
			break;
		case 4:
			str = '留言';
			break;
		case 5:
			str = '呼损';
			break;
		case 6:
			str = '人工处理';
			break;
	}
	return str;
}

//格式化工单编号
function formatterWorkOrderID(val, row) {
	return '<div class="imgs" ><a class="xg" onclick="btn_detail(\'' + row.F_ID + '\',\'' + row.F_ID + '\')">' + val + '</a></div>'
}

function btn_detail(oid, isdeal, proid) {
	layer.open({
		type: 2,
		title: '工单详情',
		//maxmin: true, //开启最大化最小化按钮
		area: ['80%', '90%'],
		content: '../commonTpl/seeWorkOrderDetail.html?oid=' + oid + '&isdeal=' + isdeal + '&proid=' + proid
	});
}

//格式化内容
// function formatterDetail(val) {
// 	if(val) {
// 		var codeContent = decodeURIComponent(val);
// 		var cc = codeContent.length > 10 ? codeContent.substr(0, 10) + '...' : codeContent;
// 		return '<div title="' + codeContent + '">' + cc + '</div>';
// 	} else {
// 		return '-';
// 	}
// }

//格式化呼叫状态
function formatterCallState(val) {
	if(val == '1') {
		return '已接通';
	} else {
		return '未接通';
	}
}

//格式化音频
function formatterRecord(val) {
	if(val) {
		return '<div class="imgs" style="cursor: pointer;">' +
			'<img src="../img/vice.png" alt="" onclick= ck(this) item="' + val + '" />' +
			'</div>';
	} else {
		return '';
	}
}

//点击录音
function ck(val) {
	var path = $(val).attr("item");
	$(".t-shade").addClass("cx");
	$(".Ly_box").empty();
	$(".down").attr("href", path);
	$('<audio style="width: 100%;"class=" " src="' + path + '" loop="loop" controls="controls" ></audio>').appendTo(".Ly_box");
}

//格式化 工单状态
function formatterState(val) {
	//工单状态0待指派，1待处理，2已处理 原来的状态 不用！！！！
	// 0新工单待指派，1已指派待接单，2已接单待处理，3已退回待处理，4异常退回待处理，5处理中，10已完结
	var stateStr = '-';
	var stateClass = '';
	switch(val) { 
		case 0:
			stateStr = '待指派';
			stateClass = 'audit_wait';
			break;
		case 1:
			stateStr = '待接单';
			stateClass = 'audit_refuse';
			break;
		case 2:
			stateStr = '待处理';
			stateClass = 'audit_revoke';
			break;
		case 3:
			stateStr = '已退回';
			stateClass = 'audit_termination'; 
			break;
		case 4:
			stateStr = '异常退回';
			stateClass = 'audit_termination';
			break;
		case 5:
			stateStr = '处理中';
			stateClass = 'audit_doned';
			break;
		case 10:
			stateStr = '已完结';
			stateClass = 'audit_done';
			break;
		default:
			break;
	}
	
	return '<div class="' + stateClass + '">' + stateStr + '</div>';
}

//格式化 工单有效性
function formatterIsEffective(val) {
	var stateStr = '-';
	var stateClass = '';
	switch(val) { //是否有效工单项(0有效，1无效)
		case 0:
			stateStr = '有效';
			stateClass = 'audit_done';
			break;
		case 1:
			stateStr = '无效';
			stateClass = 'audit_revoke';
			break;
		default:
			break;
	}
	return '<div class="' + stateClass + '">' + stateStr + '</div>';
}

//格式化接收人
function formatterAuditUser(val) {
	if(val === "0") {
		return '-';
	} else {
		return val;
	}
}

//新建工单 保存
function orderSave() {
	// if(!regexs.userNameReg.test($.trim($('#order_name').val()))) {
	// 	layer.confirm('请输入有效的客户姓名（2-20位汉字可以包含·•）！', {
	// 		icon: 2,
	// 		btn: ['确定']
	// 	});
	// 	return;
	// }
	// 
	var order_handle = $('#order_handles').is(':visible') ? $('#order_handle').val() : 0,
			order_transfer_dept = $('#order_transfer_dept').attr('data-id'),//int 接收部门
			order_receiveUser = $('#order_receiveUser').val();//int 接收人
	if($('#order_isover').find('input[type="radio"]:checked').val() === '1'){
		order_transfer_dept = 0;
		order_receiveUser = 0;
	}
	$.post(huayi.config.callcenter_url + 'CallInScreen/AddWorkOrder', {
		callid: CallID,//string； -此参数可根据来电弹屏时的客户绑定
		customerid: $('#head_form_customer_id').attr('data-cid'),//int 客户id； -此参数可根据来电弹屏时的客户绑定
		source: $('#order_source').val(),//int 工单来源-下拉，数据来源：数据字典GDLY；
		gdlx: $('#order_type').find('input[type="radio"]:checked').val(),//int 工单类型-单选，数据来源：数据字典GDLX；
		ywlx: order_handle,//int 业务办理-下拉，工单类型选择“业务办理”时数据来源：数据字典GDLX，工单类型选择“投诉”时数据是投诉，传值ID与工单类型一致
		callCustomer: $('#order_name').val(),//string 客户姓名； -此参数可根据来电弹屏时的客户绑定
		tel: phoneNumber,//string 联系电话 ； -此参数可根据来电弹屏时的客户绑定
		company: $('#order_company').val(), // 公司名称
		fkcont:  $('#order_reception').val(),//string 反馈内容；
		iseffective: $('#order_iseffective').find('input[type="radio"]:checked').val(),//int 是否有效工单项(0有效，1无效)；
		note: $('#order_note').val(),//string 无效工单必填备注；
		clbm: order_transfer_dept,//int 接收部门；
		clid: order_receiveUser,//int 接收人；
		auditusercode: $('#order_audit').val(),//string 办理人工号；
		isover: $('#order_isover').find('input[type="radio"]:checked').val(), //int 是否立即处理（默认为0，立即处理为1，立即处理的工单无法指派接收人和接受部门）
		token: $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() === "success") {
			cleanOrderForm(); //清空新增工单的数据
			$('.ld-service').find('li.KF').trigger('click'); //进入历史工单页面
			top.workcount();
			layer.msg("保存成功");
		}
	})
}

//来电弹屏输入清空
function cleanOrde() {
	$('#head_form_custom').val('');//客户姓名
	$('#head_form_customTel').val('');
	$('#laisheng').val('');//省
    $('#laishi').val('');//市
	$('#laiquxian').val('');//区/县
	$('#laixiang').val('');//乡/镇
	$('#laixiangxi').val('');//详细地址
	$('#channel').val('');//渠道类型
	$('#company_name').val('');//公司名称
	$('#management').val('');//经营品牌
	$('#yearly').val('');//年销量
	// $('#recipe').val('');//配方
	$('#planting').val('');//种植作物
	$('#cultivated').val('');//种植面积
	$('#fertilizer').val('');//用肥品牌
}




// //清空新增工单的数据
// function cleanOrderForm() {
// 	$('#order_form').find('input.form-control').val('');
// 	$('#order_form').find('textarea.form-control').val('');
// 	$('#order_form').find('select.form-control').val('0');
// 
// 	$('#order_type').find("input[type='radio'][value='107']").prop("checked", true).trigger('change');
// 	$('#order_iseffective').find("input[type='radio'][value='0']").prop("checked", true).trigger('change');
// 
// 	$('#order_transfer_dept').val('').trigger('keyup');
// 	$('#order_transfer_dept').attr('placeholder', '请选择部门');
// 	$('#order_transfer_dept').attr('data-id', 0);
// 
// 	$('#order_receiveUser').selectpicker('destroy');
// 	$('#order_receiveUser').empty();
// 	$('#order_receiveUser').append('<option value="0">请选择接收人</option>');
// 	$('#order_receiveUser').selectpicker('refresh');
// 	
// 	$('#order_form').find('.selectpicker.form-control').selectpicker('val', '0').trigger('change');
// 	$('#order_source').selectpicker('val', '468').trigger('change');
// 	
// 	$('#order_isover').find("input[type='radio'][value='0']").prop("checked", true);
// }

//拉黑 保存
function saveBlack() {
	var reg = /^\+?[1-9][0-9]*$/;
	var n = $("#time-word").val();
	var val = $("input[name='time']:checked").val();
	if(n) {
		if(!(reg.test(n))) {
			layer.confirm('请输入整数时间！', {
				btn: ['确定']
			});
			return;
		}
	} else {
		if(val == '4') {
			n = 0;
		} else {
			layer.confirm('请输入整数时间！', {
				btn: ['确定']
			});
			return;
		}
	}
	$.post(huayi.config.callcenter_url + 'CallInScreen/AddBlack', {
		tel: phoneNumber,
		num: n,
		type: val,
		"token": $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {
			layer.msg("拉入黑名单成功");
			$('.head_black_btn').text('取消');
			$('.ldtp-con .hei-list').hide();
			$('.la-before').hide();
			$('.retur').show();
		}
	})
}

//取消黑名单
function cancelBlack() {
	$.getJSON(huayi.config.callcenter_url + 'CallInScreen/DelBlack', {
		tel: phoneNumber,
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			layer.msg("取消黑名单成功");
			$('.head_black_btn').text('黑名单');
			$('.retur').hide();
			$('.la-before').show();
		}
	})
}


/**
 * 获取接收部门  获取投诉类型
 * el1, 树形结构元素id名 reginsTreeView
 * el2, 搜索框元素id名 order_transfer_dept
 * */
function getDepts(el1, el2) {
	//初始化 样式
	$('#' + el2).on('focus click', function() {
		$('#' + el1).removeClass('hidden').addClass('show');
	});
	$('#' + el2).on('keyup', function() {
		if($(this).val() == '') {
			$('#' + el1).treeview('uncheckAll', {
				silent: true
			});
			$(this).attr('data-id', '0');
		}
	});
	$('#' + el2 + ' .caret').on('click', function() {
		$('#' + el1).removeClass('hidden').addClass('show');
	});
	$('#' + el1).mouseleave(function() {
		$(this).removeClass('show').addClass('hidden');
	});
	
	$.getJSON(huayi.config.callcenter_url + 'Department/GetDeptList', {
		token: $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			var defaultDatas = helper.methods.buildTree(result.data);
			var sortChildrenArr = helper.methods.objToArray(defaultDatas[0].children);
			sortChildrenArr.sort(helper.methods.compare('sort'));
			var sortChildrenObj = helper.methods.arrayToObj(sortChildrenArr);
			defaultDatas[0].children = sortChildrenObj;
			if(defaultDatas) {
				var $sTree = $('#' + el1).treeview({
					color: "#1ab394",
					selectedBackColor: '#1ab394',
					expandIcon: 'glyphicon glyphicon-chevron-right',
					collapseIcon: 'glyphicon glyphicon-chevron-down',
					nodeIcon: 'fa fa-folder-o',
					//selectedIcon: "glyphicon glyphicon-stop",
					//icon: "glyphicon glyphicon-stop",
					//emptyIcon: 'glyphicon',
					//showCheckbox: true,
					selectable: true,
					state: {
						selected: true
					},
					data: defaultDatas,
					onNodeSelected: function(event, node) {
						$sTree.treeview('clearSearch');
						$('#' + el2).val(node.text);
						$('#' + el2).attr('data-id', node.id);
						$('#' + el1).removeClass('show').addClass('hidden');
						//获取接收人员
						getReceiveUser($('#order_receiveUser'), node.id);
					},
					onNodeUnselected: function(event, node) {
						$('#' + el2).attr('data-id', 0);
						$('#' + el2).attr('placeholder', '请选择接收部门');
						$('#order_receiveUser').empty();
						$('#order_receiveUser').append('<option value="0">请选择接收人</option>');
						$('#order_receiveUser').selectpicker('refresh');
					}
				});
//				$('#' + el1).treeview('collapseAll', {
//					silent: true
//				});
				$('#' + el1).treeview('expandAll', { levels: 2, silent: true });
				var findSNodes = function() {
					return $sTree.treeview('search', [$('#' + el2).val(), {
						ignoreCase: false,
						exactMatch: false
					}]);
				};
				$('#' + el2).on('keyup focus', function(e) {
					var selectableNodes = findSNodes();
					//var m = $('#' + el1).treeview('getParent', selectableNodes);
					//$('#' + el1).treeview('selectNode', [ m, { silent: true } ]);
				});
			}

		}
	})
}


//获取接收人员
function getReceiveUser(obj, deptid) {
	$.ajax({
		url: huayi.config.callcenter_url + 'UserAccount/GetDeptUserList',
		type: 'get',
		data: {
			deptid: deptid,
			token: $.cookie("token")
		},
		dataType: "json",
		async: true,
		success: function(res) {
			obj.empty();
			if(res.state.toLowerCase() === "success") {
				res = res.data;
				if(res && res.length > 0) {
					obj.append('<option value="0">请选择接收人</option>');
					res.forEach(function(v, i) {
						obj.append('<option value="' + v.F_UserId + '" data-code="'+ v.F_UserCode +'">' + v.F_UserName + '('+ v.F_UserCode +')</option>');
					});
					obj.selectpicker('refresh');
				}
			}
		},
	});
}

//外呼
function calloutopt(telphone) {
	event.stopPropagation();
	if(telphone) {
		$.ajax({
			type: "get",
			url: huayi.config.callcenter_url + "CallOutOpt/GetCallOutprefix",
			async: true,
			dataType: 'json',
			data: {
				phone: telphone,
				token: $.cookie("token")
			},
			success: function(result) {
				if(result.state.toLowerCase() === "success") {
					top.obj.Type = "MakeCall";
					top.obj.DestinationNumber = result.data.phone;
					top.obj.Header = result.data.fix;
					top.obj.TaskType = "0"; //0:拨号外呼；1:问卷外呼；
					top.obj.TaskPhoneID = ''; // 原来是 回访的电话工单ID
					top.Send();
				}
			}
		});
	}
}

var callId = helper.request.queryString("cid");
$(function() {
	//通话记录跳转过来的
	var cphone = helper.request.queryString("cphone");
	var cCustomerName = decodeURIComponent(helper.request.queryString("cCustomerName"));
	if(cphone) {
		$('#order_tel').val(cphone); //否	string	联系电话
	}
	if(cCustomerName) {
		$('#order_name').val(cCustomerName); //是	string	姓名/联系人
	}
	autosize($('textarea'));
	helper.getDropList.getlistDropByDic($('#order_handle'), 'YWLX');	
	//获取接收部门 
	getDepts('reginsTreeView', 'order_transfer_dept');

$('#save_order').click(function(){//ID为test的元素点击时
      orderSave();
    });
	// 指派按钮
$('#save_vsv').click(function(){//ID为test的元素点击时
	  dealWorkOrder();
	});
// 完结按钮
$('#save_ssss').click(function(){//ID为test的元素点击时
	  buttonend();
	});
// 来电保存客户
$('#save').click(function(){//ID为test的元素点击时
    if(!regexs.userNameReg.test($.trim($('#head_form_custom').val()))) {
    	layer.confirm('请输入有效的客户姓名！', {
    		icon: 2,
    		btn: ['确定']
    	});
    	return;
    }
	  screen();
	});
$('#empty').click(function(){//ID为test的元素点击时
	  cleanOrde();
	});
});
//新建工单 保存
function orderSave() {	
	typePro();
	// if(!regexs.userNameReg.test($.trim($('#order_name').val()))) {
	// 	layer.confirm('请输入有效的客户姓名（2-20位汉字可以包含·•）！', {
	// 		icon: 2,
	// 		btn: ['确定']
	// 	});
	// 	return;
	// }
	// if(!regexs.phone.test($.trim($('#order_tel').val()))) {
	// 	layer.confirm('请输入正确的联系电话！', {
	// 		icon: 2,
	// 		btn: ['确定']
	// 	});
	// 	return;
	// }
	// if(!$.trim($('#order_company').val())) {
	// 	layer.confirm('请输入公司名称！', {
	// 		icon: 2,
	// 		btn: ['确定']
	// 	});
	// 	return;
	// }	
	
	$.post(huayi.config.callcenter_url + 'WorkOrderNew/Add', {		                 
					  // orderid: oid, //否	strubg	工单ID
					         F_Source:1,  //1电话			
					         // F_CompanyName: $('#order_company').val(),// 公司名称  
					         F_Type: $('#order_isover').find('input[type="radio"]:checked').val(), //工单类型
					 //公共字段
					         F_CusName: $('#kehuxing').val(),//客户姓名
					 		 F_CusPhone: $('#kehudian').val(),//客户电话
							 F_CompanyName: $('#gonsi').val(),//公司名称
					         F_IncidentProvince:  $('#sheng').val(),//string 省
					         F_IncidentCity: $('#shi').val(),// 市
					         F_IncidentCountry: $('#quxian').val(),//区/县
					         F_IncidentTownship: $('#xiang').val(),//乡
					         F_IncidentDetailed: $('#xiangxi').val(),//详细地址
					 	    F_Description: $('#reception').val(),//问题描述
					      //咨询模块
					         F_QuestionType:catt,//问题类别
					         F_TS_Category: comdi,//产品名称
					         F_ZX_Quantity: $('#Product_Quantity').val(),//问题数量
					         F_SalesBase:coint,//销售基地
					    //投诉模块
					         F_BatchNumber:shengch,//生产批号
					         // F_TS_Formula: $('#formula').val(),//配方
					         F_TS_Quantity:$('#quantity').val(),//问题数量(吨)
					         F_TS_Level: $('#level').val(),//重要界别    
					         F_CustomerID: $('#number').val(),//客户编号
					         F_Salesman: $('#salesman').val(),//业务员
					         F_SalesPhone: $('#telephone').val(),//电话
					         F_ZX_Area: $('#District').val(),//大区
					         F_ZX_Branch: $('#Branice').val(),//分公司
					         F_Brand: $('#manage').val(),//经营品牌
					       
					         F_MaterialID: $('#Code').val(),//客户编号
					         F_CustomerID: $('#number').val(),//客户编号
					         F_Model: $('#model_number').val(),//型号
					         F_Specs: $('#specifications').val(),//规格
					         F_Level1: $('#category1').val(),//一级分类
					         F_Level2: $('#category2').val(),//二级分类
					         F_Level3: $('#category3').val(),//三级分类
					         F_Brand: $('#brand_name').val(),//品牌
					         F_MaterialEffect: $('#efficiency').val(),//复合肥肥效
					         F_Pipeline: $('#product_line').val(),//产品线
					         F_Craft: $('#process').val(),//工艺
					         // F_Formula: $('#enter_formula').val(),//配方
					  
					         //抽检模块
					 		// F_CusName: $('#kxing').val(),//客户姓名
					 		// F_CusPhone: $('#kdian').val(),//客户电话
					         // F_QuestionType:catt, //问题类别
					         F_CJ_Time: $('#der_time').val(),//抽检时间
					         F_CJ_Level: $('#der_level').val(),//抽检级别
					         F_CJ_Unit: $('#der_Company').val(),//抽检单位
					         F_CJ_TestUnit: $('#der_Test').val(),//化验单位
					         F_CJ_Tonnage: $('#der_Tonnage').val(),//抽检吨数
					         F_CJ_BagNo: $('#der_Ton').val(),//抽检袋数
					         F_CJ_Outlay: $('#der_Amount').val(),//公关费用金额
					        
					 
					 		overtime: $("#dddd").find('input[type="radio"]:checked').val(), //超时时限
					 		clbm: $("#clbm").val(), //否	指派部门
					 		clid: $("#clid").val(), //否	接受人
					 		sms: $("#overtime").find('input[type="radio"]:checked').val(),//是否发送短信
				   token: $.cookie("token")
			}, function(result) {
				result = $.parseJSON(result);
				if(result.state.toLowerCase() == "success") {
					//给 右侧新增工单赋值
					$('#head_form_customTel').val($('#kehudian').val()); //客户电话
					$('#head_form_custom').val($('#kehuxing').val()); //公司姓名
					cleanOrderForm();
					// top.workcount();
					layer.msg("保存成功");
				}
			})
}
//完结按钮
function buttonend(oid) {
	typePro();
	// var ltype = $("input[name='ltype']:checked").val();
	var isDetail = helper.request.queryString("isDetail"); //是否是详情页面的处理

	$.post(huayi.config.callcenter_url + 'WorkOrderNew/CreatOver', {
		   orderid: oid, //否	strubg	工单ID
		    F_Source:1,  //1电话			
		           F_Type: $('#order_isover').find('input[type="radio"]:checked').val(), //工单类型
		   //公共字段
		           F_CusName: $('#kehuxing').val(),//客户姓名
		   		   F_CusPhone: $('#kehudian').val(),//客户电话
				   F_CompanyName: $('#gonsi').val(),//公司名称
		           F_IncidentProvince:  $('#sheng').val(),//string 省
		           F_IncidentCity: $('#shi').val(),// 市
		           F_IncidentCountry: $('#quxian').val(),//区/县
		           F_IncidentTownship: $('#xiang').val(),//乡
		           F_IncidentDetailed: $('#xiangxi').val(),//详细地址
		   	    F_Description: $('#reception').val(),//问题描述
		        //咨询模块
		           F_QuestionType:catt,//问题类别
		           F_TS_Category: comdi,//产品名称
		           F_ZX_Quantity: $('#Product_Quantity').val(),//问题数量
		           F_SalesBase:coint,//销售基地
		      //投诉模块
		           F_BatchNumber:shengch,//生产批号
		           F_TS_Formula: $('#formula').val(),//配方
		           F_TS_Quantity:$('#quantity').val(),//问题数量(吨)
		           F_TS_Level: $('#level').val(),//重要界别    
		           F_CustomerID: $('#number').val(),//客户编号
		           F_Salesman: $('#salesman').val(),//业务员
		           F_SalesPhone: $('#telephone').val(),//电话
		           F_ZX_Area: $('#District').val(),//大区
		           F_ZX_Branch: $('#Branice').val(),//分公司
		           F_Brand: $('#manage').val(),//经营品牌
		         
		          F_MaterialID: $('#Code').val(),//客户编号
		          F_CustomerID: $('#number').val(),//客户编号
		           F_Model: $('#model_number').val(),//型号
		           F_Specs: $('#specifications').val(),//规格
		           F_Level1: $('#category1').val(),//一级分类
		           F_Level2: $('#category2').val(),//二级分类
		           F_Level3: $('#category3').val(),//三级分类
		           F_Brand: $('#brand_name').val(),//品牌
		           F_MaterialEffect: $('#efficiency').val(),//复合肥肥效
		           F_Pipeline: $('#product_line').val(),//产品线
		           F_Craft: $('#process').val(),//工艺
		           F_Formula: $('#enter_formula').val(),//配方
		    
		           //抽检模块
		   		// F_CusName: $('#kxing').val(),//客户姓名
		   		// F_CusPhone: $('#kdian').val(),//客户电话
		           // F_QuestionType:catt, //问题类别
		           F_CJ_Time: $('#der_time').val(),//抽检时间
		           F_CJ_Level: $('#der_level').val(),//抽检级别
		           F_CJ_Unit: $('#der_Company').val(),//抽检单位
		           F_CJ_TestUnit: $('#der_Test').val(),//化验单位
		           F_CJ_Tonnage: $('#der_Tonnage').val(),//抽检吨数
		           F_CJ_BagNo: $('#der_Ton').val(),//抽检袋数
		           F_CJ_Outlay: $('#der_Amount').val(),//公关费用金额
		          
		   
		   		overtime: $("#dddd").find('input[type="radio"]:checked').val(), //超时时限
		   		clbm: $("#clbm").val(), //否	指派部门
		   		clid: $("#clid").val(), //否	接受人
		   		sms: $("#overtime").find('input[type="radio"]:checked').val(),//是否发送短信
							
		 token: $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {
				// parent.parent.layer.msg("工单完结成功！");
				cleanOrderForm();
				layer.msg("完结成功");		
			// top.workcount();
		}
	})
}
//投诉和抽检客户 物料编号清空
function  emptyct(){
	$('#number').val('');
	$('#salesman').val('');
	$('#telephone').val('');
	$('#District').val('');
	$('#Branice').val('');
	$('#manage').val('');
	$('#Code').val('');
	$('#material_name').val('');
	$('#model_number').val('');
	$('#specifications').val('');
	$('#category1').val('');	
	$('#category2').val('');
	$('#category3').val('');
	$('#brand_name').val('');
	$('#efficiency').val('');
	$('#product_line').val('');
	$('#process').val('');
	$('#enter_formula').val('');
	
	
}


var catt;//问题类别
var cttt;//投诉问题类别
var comdi;//产品名称
var coint; //销售基地
var stion; //问题数量
var shengch; //生产批次号
var jyppai;
var daqu;
var fengo;
var orderIsover;
function typePro(){
	orderIsover=$('input:radio[name="type"]:checked').val();
	if(orderIsover === '1'){
		debugger
		catt = $('#category').val();//问题类别
		comdi = $('#ProductName').val();//产品名称
		stion = $('#Product_Quantity').val();//问题数量
		coint=$('#xiaoshou').val();//销售基地
		daqu='';
		fengo='';
		jyppai='';
		cttt='';
		shengch='';
		emptyct()
		$('#wlbm').hide();
		$('#wlmcc').hide();
		$('#clie').hide();
		$('#mate').hide();


	}else if(orderIsover=== '2'){
		daqu=$('#chdaqu').val();
		fengo=$('#chfen').val();
		jyppai=$('#brand_name').val();
		comdi = $('#product_name').val();//产品名称
		cttt = $("#cat").val();
		// if($("#catego").val()){
		// 	cttt = $("#cat").val()+"|"+$("#catego").val();
		// 	if($("#cate").val()){
		// 		cttt = $("#cat").val()+"|"+$("#catego").val()+"|"+$("#cate").val();
		// 	}
		// }
		catt = $("#cate").val();
		shengch=$('#Batch_number').val();//生产批次号
		stion = $('#quantity').val();//问题数量
		coint=$('#Sales_base').val();//销售基地
	}else if(orderIsover === '3'){
		daqu=$('#District').val();
		fengo=$('#Branice').val();
		jyppai=$('#brand_name').val();
		shengch=$('#batch_num').val();//生产批次号 
		catt = $('#chou_wtlb').val();
		cttt=$('#checked').find('input[type="radio"]:checked').val();
		comdi ='';
		coint='';
		stion='';
	}else if(orderIsover === '4'){
		catt = $('#cateq').val();//问题类别
		comdi = $('#Produ_ctName').val();//产品名称
		stion = $('#Product_Quantity').val();//问题数量
		coint=$('#xiaosh').val();//销售基地
		daqu='';
		fengo='';
		jyppai='';
		cttt='';
		shengch='';
		emptyct()
		$('#wlbm').hide();
		$('#wlmcc').hide();
		$('#clie').hide();
		$('#mate').hide();

	}
}

// 指派按钮
function dealWorkOrder(oid) {
		typePro();		
	// var ltype = $("input[name='ltype']:checked").val();
	   // var mold = $('#checked').find('input[type="radio"]:checked').val();      
	$.post(huayi.config.callcenter_url + 'WorkOrderNew/Createass', {
		            orderid: oid, //否	strubg	工单ID
                    F_Source:1,  //1电话			
                    // F_CompanyName: $('#order_company').val(),// 公司名称  
                    F_Type: $('#order_isover').find('input[type="radio"]:checked').val(), //工单类型
			//公共字段
			        F_CusName: $('#kehuxing').val(),//客户姓名
					F_CusPhone: $('#kehudian').val(),//客户电话
					F_CompanyName: $('#gonsi').val(),//公司名称
                    F_IncidentProvince:  $('#sheng').val(),//string 省
                    F_IncidentCity: $('#shi').val(),// 市
                    F_IncidentCountry: $('#quxian').val(),//区/县
                    F_IncidentTownship: $('#xiang').val(),//乡
                    F_IncidentDetailed: $('#xiangxi').val(),//详细地址
				    F_Description: $('#reception').val(),//问题描述
                 //咨询模块
                    F_QuestionType:catt,//问题类别
                    F_TS_Category: comdi,//产品名称
                    F_ZX_Quantity:stion,//问题数量
                    F_SalesBase:coint,//销售基地
               //投诉模块
                    F_BatchNumber:shengch,//生产批号
                    F_TS_Formula: $('#formula').val(),//配方
                    F_TS_Quantity:$('#quantity').val(),//问题数量(吨)
                    F_TS_Level: $('#level').val(),//重要界别    
                    F_SalesPhone: $('#telephone').val(),//电话
                    F_ZX_Area: daqu,//大区
                    F_ZX_Branch:fengo,//分公司
                    F_Brand: jyppai,//经营品牌
                    F_Salesman: $('#salesman').val(),//业务员
                    F_MaterialID: $('#Code').val(),//客户编号
                    F_CustomerID: $('#number').val(),//客户编号
                    F_Model: $('#model_number').val(),//型号
                    F_Specs: $('#specifications').val(),//规格
                    F_Level1: $('#category1').val(),//一级分类
                    F_Level2: $('#category2').val(),//二级分类
                    F_Level3: $('#category3').val(),//三级分类
                    // F_Brand: $('#brand_name').val(),//品牌
                    F_MaterialEffect: $('#efficiency').val(),//复合肥肥效
                    F_Pipeline: $('#product_line').val(),//产品线
                    F_Craft: $('#process').val(),//工艺
                    F_Formula: $('#enter_formula').val(),//配方
 
                    //抽检模块
					// F_CusName: $('#kxing').val(),//客户姓名
					// F_CusPhone: $('#kdian').val(),//客户电话
                    // F_QuestionType:cttt, //问题类别
                    F_CJ_Time: $('#der_time').val(),//抽检时间
                    F_CJ_Level: $('#der_level').val(),//抽检级别
                    F_CJ_Unit: $('#der_Company').val(),//抽检单位
                    F_CJ_TestUnit: $('#der_Test').val(),//化验单位
                    F_CJ_Tonnage: $('#der_Tonnage').val(),//抽检吨数
                    F_CJ_BagNo: $('#der_Ton').val(),//抽检袋数
                    F_CJ_Outlay: $('#der_Amount').val(),//公关费用金额
                   

					overtime: $("#dddd").find('input[type="radio"]:checked').val(), //超时时限
					clbm: $("#clbm").val(), //否	指派部门
					clid: $("#clid").val(), //否	接受人
					sms: $("#overtime").find('input[type="radio"]:checked').val(),//是否发送短信
			
		           token: $.cookie("token")
	}, function(result) {
				result = $.parseJSON(result);
				if(result.state.toLowerCase() == "success") {
					// top.workcount();
					debugger
					cleanOrderForm();
					layer.msg("指派成功");
				}
			})
}
// 左侧来电保存
function screen() {	
	$.post(huayi.config.callcenter_url + 'CustomerNew/CallAdd', {		                 
		   // F_Source:$('#der_type').val(),//工单类型  默认4官网
           F_Legal:$('#head_form_custom').val(),//客户姓名
		   F_Gender:$('#order_iso').find('input[type="radio"]:checked').val(),//性别
		   F_LegalPhone:$('#head_form_customTel').val(),//客户电话
		   F_AddressProvince:$('#laisheng').val(),//省份
		   F_AddressCity:$('#laishi').val(),//市区
		  
		   F_AddressCountry:$('#laiquxian').val(),//县区
		   F_AddressTownship:$('#laixiang').val(),   //乡镇
		   F_AddressFull:$('#laixiangxi').val(),//详细地址
		   F_Channel:$('#channel').val(), //渠道类型
		   F_CompanyName:$('#company_name').val(), //公司名称
		   F_IsRunXLX:$('#order_whether').find('input[type="radio"]:checked').val(), //是否经营心连心
		   F_Brands:$('#management').val(), //经营品牌 
		   F_AnnualSales:$('#yearly').val(), //年销量
		   F_Formula:$('#recipe').val(), //配方
		   F_RaiseCrops:$('#planting').val(),//种植作物
		   F_PlantingArea:$('#cultivated').val(),//种植面积
		   F_FertilizerBrand:$('#fertilizer').val(),//用肥品牌
			  token: $.cookie("token")
		}, function(result) {
			result = $.parseJSON(result);
			if(result.state.toLowerCase() == "success") {
				debugger
				// top.workcount();
				$('#kehudian').val($('#head_form_customTel').val()); //客户电话
				$('#kehuxing').val($('#head_form_custom').val()); //公司姓名
				$('#gonsi').val($('#company_name').val()); //公司名称		
				$("#sheng option:selected").text($("#laisheng option:selected").text()); //省 赋值到工单事发地
				$('#sheng option:selected').val($("#laisheng option:selected").val());				
				$('#shi option:selected').text($("#laishi option:selected").text()); // 市
				$('#shi option:selected').val($("#laishi option:selected").val()); 	
				$('#quxian option:selected').text($("#laiquxian option:selected").text()); // 县/区
				$('#quxian option:selected').val($("#laiquxian option:selected").val()); 
				
				$('#xiang option:selected').text($("#laixiang option:selected").text()); // 乡
				$('#xiang option:selected').val($("#laixiang option:selected").val()); 
				
				$('#xiangxi').val($('#laixiangxi').val()); //详细地址
				layer.msg("保存成功");
				
			}
		})
}




//三级联动下拉
    $(document).ready(function () {
            var wid = helper.request.queryString("wid");
            LY($("#sheng"));//省
            SHENG($("#shengji"));
			XSJD($("#xiaoshou"));//销售基地
			XSJD($("#xiaosh"));//建议及其他销售基地
			XSJD($("#Sales_base"));//建议及其他销售基地
        ZXWTLB($("#category")); //咨询问题类别
		// ZXWTLB($("#categg")); //问题类别
		ZXCPMC($("#ProductName"));
		// ZXCPMC($("#ProductName"));
		ZXCPMC($("#product_name"));
		ZXCPMC($("#Produ_ctName"));//建议及其他产品名称
			DQ($("#District"));
		 //投诉模块
		 WTLB1($("#cat"));//问题类型1		 
		 CPZL($("#Product_Category"));//产品名称
		
		 ZYJB($("#level"));//重要级别	
         CJJP($("#der_level"));//抽检级别
		 CJDW($("#der_Company"));//抽检单位
         WTLBCJ($("#chou_wtlb"));//抽检问题类型		
		  DQQ($("#customer_comaddress")); //大区
		 QDLX($("#customer_taxPointDes"));//添加客户渠道类型
		 QDLX($("#channel"));//来电弹屏渠道类型
		 XYDJ($("#customer_invoiceRange"));
		 JYPP($("#customer_Qualification"));
		 JYPP($("#management"));
		 CAPI($("#customer_FinancialManager"));
		 YFPP($("#customer_feeEx"));
		 YFPP($("#fertilizer"));
        });
	
//抽检问题类别
function WTLBCJ(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "WorkOrder/GetQuestionType", {
		"token": $.cookie("token"),
		type: 2,
		pid:0,
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;                 
			$(content).each(function (i, n) {
				$("<option value='" + n.id + "'>" + n.text + "</option>").appendTo(obj);                       
			})
		}
	})
}		
// 客户信息里的 省/市/区/县
		// 咨询模块   省
    function LY(obj) {
    		obj.empty();
    		obj.append('<option selected="selected" value="">请选择</option>');
    		$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    			"token": $.cookie("token"),
    			F_Layer: 1,
    		}, function (data) {
    			if (data.state.toLowerCase() == "success") {
    				var content = data.data;                 
    				$(content).each(function (i, n) {
    					$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);                       
    				})
    			}
    		})
    	}
    //市
    function LB(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 2,
    		F_RegionName:$('#sheng').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);					
    			})
    		}
    		
    	})
    }
    //		区/县
    function ZT(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 3,
    		F_RegionName:$('#shi').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);
    			})
    		}
    	})
    }
    		//  乡
    function XX(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 4,
    		F_RegionName:$('#quxian').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);
    			})
    		}
    	})
    }
    
    $('#sheng').on('change',function(){
    	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    	    "token": $.cookie("token"),
    	    F_Layer: 2,
    		F_RegionName:$('#sheng').val(),
    		
    	}, function (data) {
    	    if (data.state.toLowerCase() == "success") {
    	        var content = data.data;
    	        $(content).each(function (i, n) {
    	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#shi");
    	        })
    	      LB($("#shi"));
    	    }
    	})
    });
    $('#shi').on('change',function(){
           	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
           	    "token": $.cookie("token"),
           	    F_Layer: 3,
           		F_RegionName:$('#shi').val()			
           	}, function (data) {
           	    if (data.state.toLowerCase() == "success") {
           	        var content = data.data;
           	        $(content).each(function (i, n) {
           	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#quxian");			
           	        })	
    				ZT($("#quxian"));
           	    }
           	})
    }); 
    $('#quxian').on('change',function(){
           	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
           	    "token": $.cookie("token"),
           	    F_Layer: 4,
           		F_RegionName:$('#quxian').val()
           	}, function (data) {
           	    if (data.state.toLowerCase() == "success") {
           	        var content = data.data;
           	        $(content).each(function (i, n) {
           	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#xiang");
           	        })
    				XX($('#xiang'));
           	    }
           	})
    }); 
	
	
	
	
function SHENG(obj) {
    		obj.empty();
    		obj.append('<option selected="selected" value="">请选择</option>');
    		$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    			"token": $.cookie("token"),
    			F_Layer: 1,
    		}, function (data) {
    			if (data.state.toLowerCase() == "success") {
    				var content = data.data;                 
    				$(content).each(function (i, n) {
    					$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);                       
    				})
    			}
    		})
    	}
    //市
    function SHI(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 2,
    		F_RegionName:$('#shengji').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);					
    			})
    		}
    		
    	})
    }
    //		区/县
    function QUXIAN(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 3,
    		F_RegionName:$('#shiji').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);
    			})
    		}
    	})
    }
    		//  乡
    function XIANG(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 4,
    		F_RegionName:$('#quxianji').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);
    			})
    		}
    	})
    }
    
    $('#shengji').on('change',function(){
    	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    	    "token": $.cookie("token"),
    	    F_Layer: 2,
    		F_RegionName:$('#shengji').val(),
    		
    	}, function (data) {
    	    if (data.state.toLowerCase() == "success") {
    	        var content = data.data;
    	        $(content).each(function (i, n) {
    	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#shiji");
    	        })
    	      SHI($("#shiji"));
    	    }
    	})
    });
    $('#shiji').on('change',function(){
           	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
           	    "token": $.cookie("token"),
           	    F_Layer: 3,
           		F_RegionName:$('#shiji').val()			
           	}, function (data) {
           	    if (data.state.toLowerCase() == "success") {
           	        var content = data.data;
           	        $(content).each(function (i, n) {
           	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#quxianji");			
           	        })	
    				QUXIAN($("#quxianji"));
           	    }
           	})
    }); 
    $('#quxianji').on('change',function(){
           	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
           	    "token": $.cookie("token"),
           	    F_Layer: 4,
           		F_RegionName:$('#quxianji').val()
           	}, function (data) {
           	    if (data.state.toLowerCase() == "success") {
           	        var content = data.data;
           	        $(content).each(function (i, n) {
           	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#xiangji");
           	        })
    				XIANG($("#xiangji"));
           	    }
           	})
    }); 	
//销售基地
function XSJD(obj) {
				    obj.empty();
				    obj.append('<option selected="selected" value="">请选择</option>');
				    $.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
				        "token": $.cookie("token"),
				        flag:"XSJD",
				    }, function (data) {
				        if (data.state.toLowerCase() == "success") {
				            var content = data.data;
				            $(content).each(function (i, n) {
				                $("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
				            })
				        }
				    })
	}
//问题类别 
function ZXWTLB(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "WorkOrder/GetQuestionNameType", {
		"token": $.cookie("token"),
		type: 3,
		// pid:0,
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;                 
			$(content).each(function (i, n) {
				$("<option value='" + n.id + "'>" + n.text + "</option>").appendTo(obj);                       
			})
		}
	})
}
function ZXCPMC(obj) {
				    obj.empty();
				    obj.append('<option selected="selected" value="">请选择</option>');
				    $.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
				        "token": $.cookie("token"),
				        flag:"CPZL",
				    }, function (data) {
				        if (data.state.toLowerCase() == "success") {
				            var content = data.data;
				            $(content).each(function (i, n) {
				                $("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
				            })
				        }
				    })
	}
function DQ(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "Department/GetList", {
		        "token": $.cookie("token"),
		        F_Layer: 1,
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo(obj);
		            })
		        }
		    })
		}
function FENGONGSI(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "Department/GetList", {
		        "token": $.cookie("token"),
		        F_Layer: 2,
				F_DeptName:$("#District").find("option:selected").text(),
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo(obj);
		            })
		        }
		    })
		}
$('#District').on('change',function(){
 	 $.getJSON(huayi.config.callcenter_url + "Department/GetList", {
 	    "token": $.cookie("token"),
 	    F_Layer: 2,
 		F_DeptName:$("#District").find("option:selected").text(),
 		
 	}, function (data) {
 	    if (data.state.toLowerCase() == "success") {
 	        var content = data.data;
 	        $(content).each(function (i, n) {
 	            $("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo("#Branice");
 	        })
 	    FENGONGSI($("#Branice"));
 	    }
 	})
 });

//清空表单
function cleanOrderForm() {
	     // $("#lygon").val(data.F_SourceName);//工单来源
	    	// 	$('#gdbian').val(data.F_WorkOrderCode);// 工单编号
	     // 咨询模块
	            $("#category").val('');//问题类别
	    		$("#ProductName").val('');//产品名称
	            $('#Product_Quantity').val('');//问题数量
	    		$("#xiaoshou").val('');//销售基地
	    // 投诉模块		
	    		$("#product_name").val('');//产品名称
	    		$('#quantity').val('');//问题数量
	    		$('#Batch_number').val('');//生产批次
	    		$("#Sales_base").val('');//销售基地
	    		$("#level").val('');//重要级别
	    		$("#cat").val('');//问题类别1
	    		$("#catego").val('');//问题类别2
	    		$("#cate").val('');//问题类别3
	    // 抽检模块		
	            $("#chou_wtlb").val('');//问题类别
	    		$("#der_level").val('');//抽检级别
	    		$('#batch_num').val('');//生产批次号
	    		$("#der_Company").val('');//抽检单位
	    		$('#der_Test').val('');//化验单位
	    		$('#der_Tonnage').val('');//抽检吨数
	    		$('#der_Ton').val('');//抽检袋数
	    		$('#der_Amount').val('');//公关费用金额
	    		$('#der_time').val('');//抽检时间
	    // 建议及其他	
	    		$("#cateq").val('');//问题类别
	    		$("#Produ_ctName").val('');//产品名称
	    		$('#Product_Quan').val('');//问题数量
	    		$("#xiaosh").val('');//销售基地
	    // 公共模块	
	    		$('#number').val('');//客户编码
	    		$('#salesman').val('');//业务员
	    		$('#telephone').val('');//电话
	    		$("#chdaqu").val('');//大区
	    		$("#chfen").val('');//分公司
	    		$('#manage').val('');//经营品牌
	    		//物料
	    		$('#Code').val('');//物料编码
	    		$('#material_name').val('');//物料名称
	    		$('#model_number').val('');//型号
	    		$('#specifications').val('');//规格
	    		$('#category1').val('');//一级分类
	    		$('#category2').val('');//二级分类
	    		$('#category3').val('');//三级分类
	    		$('#brand_name').val('');//品牌
	    		$('#efficiency').val('');//复合肥肥效
	    		$('#product_line').val('');//产品线
	    		$('#process').val('');//工艺
	    		$('#enter_formula').val('');//配方
	    		$('#kehuxing').val('');//客户姓名
	    		$('#kehudian').val('');//客户电话
	    		$('#gonsi').val(''),//公司名称
	    		$("#sheng").val('');// 省
	    		$("#shi").val('');//市
	    		$("#quxian").val('');//区县
	    		$("#xiang").val('');//乡
	    		$("#xiangxi").val('');//详细
	    		$('#reception').val('');//问题描述

				$("#dddd").find('input[type="radio"]:checked').val(''); //超时时限
				// alert($("#clbmname").val()
				$("#clbmname").val(''); //否	指派部门
				$(".select").val(''); //否	接受人
				$("#overtime").find('input[type="radio"]:checked').val('');//是否发送短信
}

//问题类别1
function WTLB1(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "WorkOrder/GetQuestionType", {
		"token": $.cookie("token"),
		type: 1,
		pid:0,
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;                 
			$(content).each(function (i, n) {
				$("<option value='" + n.id + "'>" + n.text + "</option>").appendTo(obj);                       
			})
		}
	})
}
        //问题类别2
function WTLB2(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "WorkOrder/GetQuestionType", {
		"token": $.cookie("token"),
		type: 1,
		pid:$('#cat').val(),
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.id + "'>" + n.text + "</option>").appendTo(obj);					
			})
		}
		
	})
}
        //	问题类别3
function WTLB3(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "WorkOrder/GetQuestionType", {
		"token": $.cookie("token"),
		type: 1,
		pid:$('#catego').val(),
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.id + "'>" + n.text + "</option>").appendTo(obj);
			})
		}
	})
}

$('#cat').on('change',function(){
	// alert($('#cat').val())
	WTLB2($("#catego"));//问题类型2
	
	//  $.getJSON(huayi.config.callcenter_url + "WorkOrder/GetQuestionType", {
	//     "token": $.cookie("token"),
	//     type: 1,
	// 	
	// 	pid:$('#cat').val(),	
	// }, function (data) {
	//     if (data.state.toLowerCase() == "success") {
	//         var content = data.data;
	//         $(content).each(function (i, n) {
	//             $("<option value='" + n.id + "'>" + n.text + "</option>").appendTo("#catego");
	//         })
	// 		
	//     }
	// })
});
$('#catego').on('change',function(){
	// alert($("#catego").val())
	WTLB3($("#cate"));//问题类型3
   //     	 $.getJSON(huayi.config.callcenter_url + "WorkOrder/GetQuestionType", {
   //     	    "token": $.cookie("token"),
   //     	    type: 1,
			// 
   //     		pid:$('#catego').val()		
   //     	}, function (data) {
   //     	    if (data.state.toLowerCase() == "success") {
   //     	        var content = data.data;
   //     	        $(content).each(function (i, n) {
   //     	            $("<option value='" + n.id + "'>" + n.text + "</option>").appendTo("#cate");			
   //     	        })	
			// 	
   //     	    }
   //     	})
}); 
//产品种类
function CPZL(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		"token": $.cookie("token"),
		flag:"CPZL",
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
			})
		}
	})
}
//重要界别
function ZYJB(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		"token": $.cookie("token"),
		flag:"ZYJB",
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
			})
		}
	})
}
//抽检模块
function CJJP(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		"token": $.cookie("token"),
		flag:"CJJP",
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
			})
		}
	})
}
function CJDW(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		"token": $.cookie("token"),
		flag:"CJDW",
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
			})
		}
	})
}

//。。。。。。。。。。。。。。。。。。。。。。。

function YFPP(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		        "token": $.cookie("token"),
		        flag:"YFPP",
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
		            })
		        }
		    })
		}


//渠道类型
function QDLX(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		        "token": $.cookie("token"),
		        flag:"QDLX",
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
		            })
		        }
		    })
		}
//信用等级   
function XYDJ(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		        "token": $.cookie("token"),
		        flag:"XYDJ",
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
		            })
		        }
		    })
		}
//经营品牌 
function JYPP(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		        "token": $.cookie("token"),
		        flag:"JYPP",
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
		            })
		        }
		    })
		}
//产品
function CAPI(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		        "token": $.cookie("token"),
		        flag:"CAPI",
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
		            })
		        }
		    })
		}


function DQQ(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "Department/GetList", {
		        "token": $.cookie("token"),
		        F_Layer: 1,
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo(obj);
		            })
		        }
		    })
		}
function KEFENGONG(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "Department/GetList", {
		        "token": $.cookie("token"),
		        F_Layer: 2,
				F_DeptName:$("#customer_comaddress").find("option:selected").text(),
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo(obj);
		            })
		        }
		    })
		}

 
 
 
 $('#customer_comaddress').on('change',function(){
 	 $.getJSON(huayi.config.callcenter_url + "Department/GetList", {
 	    "token": $.cookie("token"),
 	    F_Layer: 2,
 		F_DeptName:$("#customer_comaddress").find("option:selected").text(),	
 	}, function (data) {
 	    if (data.state.toLowerCase() == "success") {
 	        var content = data.data;
 	        $(content).each(function (i, n) {
 	            $("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo("#customer_legalName");
 	        })
 	      KEFENGONG($("#customer_legalName"));
 	    }
 	})
 });























/**
 * 获取接收部门  获取投诉类型
 * el1, 树形结构元素id名 reginsTreeView
 * el2, 搜索框元素id名 order_transfer_dept
 * */
function getDepts(el1, el2) {
	//初始化 样式
	$('#' + el2).on('focus click', function() {
		$('#' + el1).removeClass('hidden').addClass('show');
	});
	$('#' + el2).on('keyup', function() {
		if($(this).val() == '') {
			$('#' + el1).treeview('uncheckAll', {
				silent: true
			});
			$(this).attr('data-id', '0');
		}
	});
	$('#' + el2 + ' .caret').on('click', function() {
		$('#' + el1).removeClass('hidden').addClass('show');
	});
	$('#' + el1).mouseleave(function() {
		$(this).removeClass('show').addClass('hidden');
	});
	
	$.getJSON(huayi.config.callcenter_url + 'Department/GetDeptList', {
		token: $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			var defaultDatas = helper.methods.buildTree(result.data);
			var sortChildrenArr = helper.methods.objToArray(defaultDatas[0].children);
			sortChildrenArr.sort(helper.methods.compare('sort'));
			var sortChildrenObj = helper.methods.arrayToObj(sortChildrenArr);
			defaultDatas[0].children = sortChildrenObj;
			if(defaultDatas) {
				var $sTree = $('#' + el1).treeview({
					color: "#1ab394",
					selectedBackColor: '#1ab394',
					expandIcon: 'glyphicon glyphicon-chevron-right',
					collapseIcon: 'glyphicon glyphicon-chevron-down',
					nodeIcon: 'fa fa-folder-o',
					//selectedIcon: "glyphicon glyphicon-stop",
					//icon: "glyphicon glyphicon-stop",
					//emptyIcon: 'glyphicon',
					//showCheckbox: true,
					selectable: true,
					state: {
						selected: true
					},
					data: defaultDatas,
					onNodeSelected: function(event, node) {
						$sTree.treeview('clearSearch');
						$('#' + el2).val(node.text);
						$('#' + el2).attr('data-id', node.id);
						$('#' + el1).removeClass('show').addClass('hidden');
						//获取接收人员
						getReceiveUser($('#order_receiveUser'), node.id);
					},
					onNodeUnselected: function(event, node) {
						$('#' + el2).attr('data-id', 0);
						$('#' + el2).attr('placeholder', '请选择接收部门');
						$('#order_receiveUser').empty();
						$('#order_receiveUser').append('<option value="0">请选择接收人</option>');
						$('#order_receiveUser').selectpicker('refresh');
					}
				});
//				$('#' + el1).treeview('collapseAll', {
//					silent: true
//				});
				$('#' + el1).treeview('expandAll', { levels: 2, silent: true });
				var findSNodes = function() {
					return $sTree.treeview('search', [$('#' + el2).val(), {
						ignoreCase: false,
						exactMatch: false
					}]);
				};
				$('#' + el2).on('keyup focus', function(e) {
					var selectableNodes = findSNodes();
					//var m = $('#' + el1).treeview('getParent', selectableNodes);
					//$('#' + el1).treeview('selectNode', [ m, { silent: true } ]);
				});
			}

		}
	})
}

//获取接收人员
function getReceiveUser(obj, deptid) {
	$.ajax({
		url: huayi.config.callcenter_url + 'UserAccount/GetDeptUserList',
		type: 'get',
		data: {
			deptid: deptid,
			token: $.cookie("token")
		},
		dataType: "json",
		async: true,
		success: function(res) {
			obj.empty();
			if(res.state.toLowerCase() === "success") {
				res = res.data;
				if(res && res.length > 0) {
					obj.append('<option value="0">请选择接收人</option>');
					res.forEach(function(v, i) {
						obj.append('<option value="' + v.F_UserId + '" data-code="'+ v.F_UserCode +'">' + v.F_UserName + '('+ v.F_UserCode +')</option>');
					});
					obj.selectpicker('refresh');
				}
			}
		},
	});
}


//工单类型点选
$('.r_order_type').find('input[type="radio"]').on('change', function() {
			if($(this).val() === "1") { //咨询
				$('#PageArrival').show();  //receive
				$('#Duration').hide();
				$('#Depth').hide();
				$('#Page').hide();
				$('#wlbm').hide();
				$('#wlmcc').hide();
			} else if($(this).val() === "2"){ //投诉
				$('#PageArrival').hide();  //receive
				$('#Duration').show();
				$('#Depth').hide();
				$('#Page').hide();
				$('#wlbm').show();
				$('#wlmcc').show();
			}else if($(this).val() === "3"){ //抽检
				$('#PageArrival').hide();  //receive
				$('#Duration').hide();
				$('#Depth').show();
				$('#Page').hide();
				$('#wlbm').show();
				$('#wlmcc').show();
			}else if($(this).val() === "4"){ //建议其他
				$('#PageArrival').hide();  //receive
				$('#Duration').hide();
				$('#Depth').hide();
				$('#Page').show();
				$('#wlbm').hide();
				$('#wlmcc').hide();
			}
		});
// $(document).ready(function () {
// 			$("input:radio[name='type']").change(
// 				function () {
// 					var blockArr = ["", "PageArrival", "Duration", "Depth","Page"];
// 					var selectedBlock = $('input:radio[name="type"]:checked').val();
//  
// 					for(var i=1; i<blockArr.length; i++){
// 						if(selectedBlock != i){
// 							$("#"+blockArr[i]).hide();
// 						}else{
// 							$("#"+blockArr[i]).show();
// 						}
// 					}
// 				});
// 		})
// 		
		
		
//客户添加
function sd(){
        $("#customer_code").val("");
        };
        function ischeckNum() {
            var num = document.getElementById('customer_code').value;//在此处下修改id
            if( num ){
                if( !isNaN( num ) ){
                    if(num.length>10){
                        sd();
						$("#aaa").css("color","red").html("当前输入的编号大于10位，请输入10位编号");
                    }else if(num.length<10 && num.length>0){
                        sd();
						$("#aaa").css("color","red").html("当前输入的编号小于10位，请输入10位的编号！");
                    }
                    return false;
                }else{
					$("#aaa").css("color","red").html("你输入的数据不是数字");
                    sd();
                 return false;
        }
        }else{
            $("#aaa").css("color","red").html("编号不能为空"); 
        }
        }
$("#customer_code").blur(function(){
	ischeckNum();
})

// function select(obj){
// $("#aaa" + obj.value).show().siblings().hide();
// 
// }

$("#customer_taxPointDes").change(function(){
			

	if($("#customer_taxPointDes").find("option:selected").text()=="二级商"){
		$("#bbb").show()
	}else{
		$("#bbb").hide()
	}
			// $(this).find("option").each(function(){
			// 	if ($(this).prop("selected")) {
			// 		$("#bbb"+$(this).val()).show()
			// 	} else {
			// 		$("#bbb"+$(this).val()).hide()
			// 	}
			// })
		})
$("#customer_taxPointDes").change(function(){
	if($("#customer_taxPointDes").find("option:selected").text()=="种田大户"){
		$("#ccc").show()
	}else{
		$("#ccc").hide()
	}
	
		})

$("#customer_feeEx").change(function(){
	if($("#customer_feeEx").find("option:selected").text()=="其他"){
		$("#ddd").show()
	}else{
		$("#ddd").hide()
	}
	
})
$("#customer_Qualification").change(function(){
	if($("#customer_Qualification").find("option:selected").text()=="其他"){
		$("#eee").show()
	}else{
		$("#eee").hide()
	}
	
})
//添加客户模块
function addedit() {		
				// var mobileNumReg = /^\d{11}$/,
				// if(!mobileNumReg.test($.trim($("#F_MaterialCode").val()))) {
				// 	layer.confirm('号段长度11位，且必须是数字。', {
				// 		icon: 2,
				// 		btn: ['确定'] //按钮
				// 	});
				// 	return;
				// }	
		$.post(huayi.config.callcenter_url + "CustomerNew/Add", {
					F_CustomerCode: $("#customer_code").val(),//客户编码
					F_CompanyName: $("#customer_companyname").val(),//公司名称
					F_AreaID: $("#customer_comaddress").val(),//大区ID
					F_BranchID: $("#customer_legalName").val(),//分公司ID
					F_Salesman: $("#customer_lehalTel").val(),//业务员
					F_SalesPhone: $("#customer_subtrade").val(),//业务员电话
					F_Gender: $("#gender").val(),//性别
					F_CustomerNature: $("#customer_taxCategory").val(),//客户性质
					F_Channel: $('#customer_taxPointDes').val(),//渠道类型					
					F_Credit: $("#customer_invoiceRange").val(),//信用等级
					F_Legal: $("#customer_layer").val(),//法人
					F_LegalPhone: $("#customer_bedept").val(),//法人电话
					F_AddressProvince: $("#source").val(),//省
					F_AddressCity: $("#type").val(),//市
					F_AddressCountry: $("#keyid").val(),//县
					F_AddressTownship: $("#input_area").val(),//乡
					F_AddressFull: $("#customer_LegalIDCards").val(),//详细地址
					F_Brands: $("#customer_Qualification").val(),//经营品牌					
					F_Product: $("#customer_FinancialManager").val(),//产品
					F_FrozenFlag: $("#customer_BusinessOwner").find('input[type="radio"]:checked').val(),//冻结标志
					F_IsOpenAccount: $('#customer_isbankSlips').find('input[type="radio"]:checked').val(),//是否开户
					F_LevelCode: $("#customer_Remark2").val(),//上级客户编码
					F_LevelName: $("#customer_Remark3").val(),//上级客户名称
					F_MnemonicCode: $("#customer_service").val(),//助记码
					F_InvoiceBank: $("#customer_handoverDate").val(),//开票银行名称
					F_InvoiceBankAccount: $("#customer_address").val(),//开票银行账户
					F_TaxRegCode: $("#customer_address1").val(),//纳税人登记号
					F_IsRunXLX: $('#customer').find('input[type="radio"]:checked').val(), //是否经营心连心
					F_AnnualSales: $("#customer_address2").val(),//年销量
					F_Formula	: $("#customer_address3").val(),//配方
					F_RaiseCrops: $("#customer_address4").val(),//种植作物
					F_PlantingArea: $("#customer_feeExpires").val(),//种植面积
					F_FertilizerBrand: $("#customer_feeEx").val(),//用肥品牌
					F_FertilizerBrand: $("#customer_feeEx").val(),//用肥品牌
					F_FertilizerBrand: $("#customer_inv").val(),//用肥品牌
					F_Brands: $("#customer").val(),//其他经营品牌
					F_Remark: $("#F_Remark").val(),//备注	
					token: $.cookie("token")
			}, function(result) {
				result = $.parseJSON(result);
				if(result.state.toLowerCase() == "success") {
					// debugger
					 var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
					 cleanOrde();
					 parent.layer.close(index); //再执行关闭
					 parent.$('#cusList').bootstrapTable('refresh');						
					 parent.layer.msg("添加客户成功");
					 
					 top.workcount();
				}
			})
}


